# Conditional build:
%bcond_with	tests	# unit tests (need network)

%define		module	google-auth-oauthlib
Summary:	Google Authentication Library
Name:		python3-%{module}
Version:	1.2.2
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/google-auth-oauthlib/
Source0:	https://files.pythonhosted.org/packages/source/g/google-auth-oauthlib/google_auth_oauthlib-%{version}.tar.gz
# Source0-md5:	a9973716249c8110a5edff3a21627cdd
URL:		https://pypi.org/project/google-auth-oauthlib/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-google-auth
BuildRequires:	python3-requests-oauthlib
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides oauthlib integration with google-auth.

%prep
%setup -q -n google_auth_oauthlib-%{version}

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/build-3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/google-oauthlib-tool
%dir %{py3_sitescriptdir}/google_auth_oauthlib
%{py3_sitescriptdir}/google_auth_oauthlib/*.py
%{py3_sitescriptdir}/google_auth_oauthlib/__pycache__
%dir %{py3_sitescriptdir}/google_auth_oauthlib/tool
%{py3_sitescriptdir}/google_auth_oauthlib/tool/*.py
%{py3_sitescriptdir}/google_auth_oauthlib/tool/__pycache__
%{py3_sitescriptdir}/google_auth_oauthlib-%{version}-py*.egg-info
%changelog
* Mon Jun 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-google-auth-oauthlib.git;a=log;h=master

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 22669c1
- rel 2, fix files

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 95302e6
- tests need network

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> e4c8b16
- new

